curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lk56epmy2i5g7lzu0k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"}, {"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE"}]}'
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
YouTube
Collect videos by URL
Use the Bright Data Web Scraper API to collect Videos by URL. POST /datasets/v3/scrape starts a scraping job that returns the data as structured JSON records.
POST
/
datasets
/
v3
/
scrape
curl --request POST \
--url 'https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_lk56epmy2i5g7lzu0k&include_errors=true' \
--header "Authorization: Bearer YOUR_API_KEY" \
--header "Content-Type: application/json" \
--data '{"input": [{"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"}, {"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE"}]}'
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
Query Parameters
string
default:"gd_lk56epmy2i5g7lzu0k"
required
The dataset ID used for this request.
Must be set to
gd_lk56epmy2i5g7lzu0k to collect YouTube videos data.boolean
default:false
Whether to send notifications when the request is completed.
boolean
default:true
Whether to include errors in the response.
Request Body
object[]
required
An array of input objects.
Show properties
Show properties
Example
{
"input": [
{"url": "https://www.youtube.com/watch?v=dQw4w9WgXcQ"},
{"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE"}
]
}
[
{
"url": "https://www.youtube.com/watch?v=4L_m0m3bEtE",
"title": "Video Title Here",
"youtuber": "@channelname",
"video_url": "https://...",
"video_length": 96,
"likes": 18,
"views": 1648,
"date_posted": "2025-04-18T05:26:16.000Z",
"description": "Video description...",
"num_comments": 0,
"subscribers": 4810000,
"video_id": "4L_m0m3bEtE",
"channel_url": "https://www.youtube.com/@channelname",
"preview_image": "https://i.ytimg.com/vi/4L_m0m3bEtE/maxresdefault.jpg",
"shortcode": "4L_m0m3bEtE",
"verified": true,
"handle_name": "Channel Name",
"is_sponsored": false,
"quality": "hd1080",
"transcript": "...",
"tags": ["tag1", "tag2"],
"is_age_restricted": false
}
]
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Must be gd_lk56epmy2i5g7lzu0k for this dataset.
Send notifications when the request is completed.
Include errors in the response.
Body
application/json
Array of input objects. See Request Body below for the supported fields.
Show child attributes
Show child attributes
Response
200 - application/json
OK. See response example below the parameters.
Was this page helpful?